Create a fact-find template Run in API Explorer
Ask AI
Body
-
The internal reference name of the fact find template. Must be unique within the firm.
Maximum length is
255. -
The client-facing name shown when the fact find is sent to a client.
Maximum length is
255. -
A brief description of the template.
Maximum length is
5000. -
An opening statement shown at the start of the fact-find.
Maximum length is
10000. -
A closing statement shown at the end of the fact-find.
Maximum length is
10000. -
Whether the fact find template is published and available for use.
POST
/api/v2/fact-find/templates
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/templates' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact find template for new clients.",
"opening_statement": "Welcome to our fact find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact find template for new clients.",
"opening_statement": "Welcome to our fact find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true
}
Response examples (201)
{
"uuid": "68551012-0ad6-4034-b961-89fbc9b6453b",
"created_at": "2026-10-10T13:35:31+01:00",
"updated_at": "2026-10-10T13:35:31+01:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-10-09T13:35:31+01:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "0a69638d-fcb4-4ee9-a95c-47e4c7e4957a",
"created_at": "2026-10-10T13:35:31+01:00",
"updated_at": "2026-10-10T13:35:31+01:00",
"fact_find_template": {
"uuid": "49ba0202-fd95-45b0-a102-fdc43e7badfe",
"created_at": "2026-10-10T13:35:36+01:00",
"updated_at": "2026-10-10T13:35:36+01:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-10-09T13:35:36+01:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "449654be-da84-4e39-a8d6-4fe1e562d710",
"created_at": "2026-10-10T13:35:36+01:00",
"updated_at": "2026-10-10T13:35:36+01:00",
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}